SQLITE3_PCACHE_PAGE(3)

NAME
sqlite3_pcache_page, sqlite3_pcache_page - custom page cache object

SYNOPSIS
#include <sqlite3.h>
typedef struct sqlite3_pcache_page sqlite3_pcache_page;
struct sqlite3_pcache_page;

DESCRIPTION
The sqlite3_pcache_page object represents a single page in the page cache. The page cache will allocate instances of this object. Various methods of the page cache use pointers to instances of this object as parameters or as their return value.

See sqlite3_pcache_methods2 for additional information.

IMPLEMENTATION NOTES
These declarations were extracted from the interface documentation at line 8893.

    typedef struct sqlite3_pcache_page sqlite3_pcache_page;
    struct sqlite3_pcache_page {
      void *pBuf;        /* The content of the page */
      void *pExtra;      /* Extra information associated with the page */
    };

SEE ALSO
sqlite3_pcache_methods2(3)